Bug 566634 - preupgrade has "Failed to fetch release info."
preupgrade has "Failed to fetch release info."
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 20:57 EST by Scott
Modified: 2014-01-21 18:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 508439
Environment:
Last Closed: 2010-12-03 17:37:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott 2010-02-18 20:57:42 EST
+++ This bug was initially created as a clone of Bug #508439 +++

Created an attachment (id=349636)
Strace of preupgrade-cli

Description of problem:
preupgrade doesn't work

Version-Release number of selected component (if applicable):
preupgrade-1.1.0-1.fc11.noarch (saw same!? problem with fedora 9 version)

How reproducible:
Always, on two machines. Third F10 machine upgraded to F11 just fine with preupgrade.

Steps to Reproduce:
1.As root (or not) run preupgrade-cli or preupgrade
2.Always says "Failed to fetch release info."
3.
  
Actual results:
preupgrade-cli
/usr/lib/python2.6/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, presto, refresh-packagekit, upgrade-helper, whiteout
Loaded plugins: presto, refresh-packagekit, upgrade-helper
Failed to fetch release info.
This could be caused by a missing network connection or a bad mirror.

Expected results:


Additional info:
Failed Machines:
i386 F9
i386 F11

i386 F10 worked fine upgrading to

On both machines I'm browsing the net/pinging internet sites AND able to run yum updates just fine right before and after preupgrade-cli fails.

--- Additional comment from emperor@mightypenguin.org on 2009-06-27 04:33:21 EDT ---

Problems seems to have bitten other people:

http://forums.fedoraforum.org/showthread.php?t=224166

http://www.howtoforge.com/how-to-upgrade-from-fedora-10-to-fedora-11-desktop-and-server#comment-14616

--- Additional comment from emperor@mightypenguin.org on 2009-06-27 04:34:49 EDT ---

Just tested on x86_64 F11, same problem.

--- Additional comment from marceln@xs4all.nl on 2009-06-28 03:49:23 EDT ---

The problem is caused by a problem on the fedoraproject.org site.
Preupgrade uses the url "http://mirrors.fedoraproject.org/releases.txt" to
get the release information. But that url isn't working.

A short test:

$ wget http://mirrors.fedoraproject.org/releases.txt
--2009-06-28 09:43:30--  http://mirrors.fedoraproject.org/releases.txt
Resolving mirrors.fedoraproject.org... 152.46.7.222, 209.132.176.120, 66.35.62.166, ...
Connecting to mirrors.fedoraproject.org|152.46.7.222|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-06-28 09:43:30 ERROR 404: Not Found.

And the network dump during the run of preupgrade-cli:

No.     Time        Source                Destination           Protocol Info
      1 0.000000    192.168.103.2         192.168.103.1         DNS      Standard query AAAA mirrors.fedoraproject.org

Frame 1 (85 bytes on wire, 85 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 192.168.103.1 (192.168.103.1)
User Datagram Protocol, Src Port: 33969 (33969), Dst Port: domain (53)
Domain Name System (query)

No.     Time        Source                Destination           Protocol Info
      2 0.112096    192.168.103.1         192.168.103.2         DNS      Standard query response CNAME wildcard.fedoraproject.org

Frame 2 (159 bytes on wire, 159 bytes captured)
Ethernet II, Src: CameoCom_67:3e:91 (00:40:f4:67:3e:91), Dst: 04:4b:80:80:80:03 (04:4b:80:80:80:03)
Internet Protocol, Src: 192.168.103.1 (192.168.103.1), Dst: 192.168.103.2 (192.168.103.2)
User Datagram Protocol, Src Port: domain (53), Dst Port: 33969 (33969)
Domain Name System (response)

No.     Time        Source                Destination           Protocol Info
      3 0.112393    192.168.103.2         192.168.103.1         DNS      Standard query A mirrors.fedoraproject.org

Frame 3 (85 bytes on wire, 85 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 192.168.103.1 (192.168.103.1)
User Datagram Protocol, Src Port: 38360 (38360), Dst Port: domain (53)
Domain Name System (query)

No.     Time        Source                Destination           Protocol Info
      4 0.226046    192.168.103.1         192.168.103.2         DNS      Standard query response CNAME wildcard.fedoraproject.org A 80.239.156.215 A 152.46.7.222 A 209.132.176.120 A 66.35.62.166

Frame 4 (240 bytes on wire, 240 bytes captured)
Ethernet II, Src: CameoCom_67:3e:91 (00:40:f4:67:3e:91), Dst: 04:4b:80:80:80:03 (04:4b:80:80:80:03)
Internet Protocol, Src: 192.168.103.1 (192.168.103.1), Dst: 192.168.103.2 (192.168.103.2)
User Datagram Protocol, Src Port: domain (53), Dst Port: 38360 (38360)
Domain Name System (response)

No.     Time        Source                Destination           Protocol Info
      5 0.228908    192.168.103.2         80.239.156.215        TCP      42764 > http [SYN] Seq=0 Win=5840 Len=0 MSS=1460 TSV=4294823711 TSER=0 WS=7

Frame 5 (74 bytes on wire, 74 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 80.239.156.215 (80.239.156.215)
Transmission Control Protocol, Src Port: 42764 (42764), Dst Port: http (80), Seq: 0, Len: 0

No.     Time        Source                Destination           Protocol Info
      6 0.251470    80.239.156.215        192.168.103.2         TCP      http > 42764 [SYN, ACK] Seq=0 Ack=1 Win=5792 Len=0 MSS=1460 TSV=32052426 TSER=4294823711 WS=7

Frame 6 (74 bytes on wire, 74 bytes captured)
Ethernet II, Src: CameoCom_67:3e:91 (00:40:f4:67:3e:91), Dst: 04:4b:80:80:80:03 (04:4b:80:80:80:03)
Internet Protocol, Src: 80.239.156.215 (80.239.156.215), Dst: 192.168.103.2 (192.168.103.2)
Transmission Control Protocol, Src Port: http (80), Dst Port: 42764 (42764), Seq: 0, Ack: 1, Len: 0

No.     Time        Source                Destination           Protocol Info
      7 0.251570    192.168.103.2         80.239.156.215        TCP      42764 > http [ACK] Seq=1 Ack=1 Win=5888 Len=0 TSV=4294823733 TSER=32052426

Frame 7 (66 bytes on wire, 66 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 80.239.156.215 (80.239.156.215)
Transmission Control Protocol, Src Port: 42764 (42764), Dst Port: http (80), Seq: 1, Ack: 1, Len: 0

No.     Time        Source                Destination           Protocol Info
      8 0.251759    192.168.103.2         80.239.156.215        HTTP     GET /releases.txt HTTP/1.1 

Frame 8 (186 bytes on wire, 186 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 80.239.156.215 (80.239.156.215)
Transmission Control Protocol, Src Port: 42764 (42764), Dst Port: http (80), Seq: 1, Ack: 1, Len: 120
Hypertext Transfer Protocol
    GET /releases.txt HTTP/1.1\r\n
    Host: mirrors.fedoraproject.org\r\n
    Accept-Encoding: identity\r\n
    User-agent: urlgrabber/3.0.0\r\n
    \r\n

No.     Time        Source                Destination           Protocol Info
      9 0.275427    80.239.156.215        192.168.103.2         TCP      http > 42764 [ACK] Seq=1 Ack=121 Win=5888 Len=0 TSV=32052432 TSER=4294823734

Frame 9 (66 bytes on wire, 66 bytes captured)
Ethernet II, Src: CameoCom_67:3e:91 (00:40:f4:67:3e:91), Dst: 04:4b:80:80:80:03 (04:4b:80:80:80:03)
Internet Protocol, Src: 80.239.156.215 (80.239.156.215), Dst: 192.168.103.2 (192.168.103.2)
Transmission Control Protocol, Src Port: http (80), Dst Port: 42764 (42764), Seq: 1, Ack: 121, Len: 0

No.     Time        Source                Destination           Protocol Info
     10 0.276581    80.239.156.215        192.168.103.2         HTTP     HTTP/1.1 404 Not Found  (text/html)

Frame 10 (528 bytes on wire, 528 bytes captured)
Ethernet II, Src: CameoCom_67:3e:91 (00:40:f4:67:3e:91), Dst: 04:4b:80:80:80:03 (04:4b:80:80:80:03)
Internet Protocol, Src: 80.239.156.215 (80.239.156.215), Dst: 192.168.103.2 (192.168.103.2)
Transmission Control Protocol, Src Port: http (80), Dst Port: 42764 (42764), Seq: 1, Ack: 121, Len: 462
Hypertext Transfer Protocol
    HTTP/1.1 404 Not Found\r\n
    Date: Sun, 28 Jun 2009 07:32:35 GMT\r\n
    Server: Apache/2.2.3 (Red Hat)\r\n
    Content-Length: 301\r\n
    Content-Type: text/html; charset=iso-8859-1\r\n
    \r\n
Line-based text data: text/html

No.     Time        Source                Destination           Protocol Info
     11 0.276642    192.168.103.2         80.239.156.215        TCP      42764 > http [ACK] Seq=121 Ack=463 Win=6912 Len=0 TSV=4294823759 TSER=32052432

Frame 11 (66 bytes on wire, 66 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 80.239.156.215 (80.239.156.215)
Transmission Control Protocol, Src Port: 42764 (42764), Dst Port: http (80), Seq: 121, Ack: 463, Len: 0

No.     Time        Source                Destination           Protocol Info
     12 0.344058    192.168.103.2         80.239.156.215        TCP      42764 > http [RST, ACK] Seq=121 Ack=463 Win=6912 Len=0 TSV=4294823826 TSER=32052432

Frame 12 (66 bytes on wire, 66 bytes captured)
Ethernet II, Src: 04:4b:80:80:80:03 (04:4b:80:80:80:03), Dst: CameoCom_67:3e:91 (00:40:f4:67:3e:91)
Internet Protocol, Src: 192.168.103.2 (192.168.103.2), Dst: 80.239.156.215 (80.239.156.215)
Transmission Control Protocol, Src Port: 42764 (42764), Dst Port: http (80), Seq: 121, Ack: 463, Len: 0

--- Additional comment from marceln@xs4all.nl on 2009-06-28 03:52:38 EDT ---

Created an attachment (id=349692)
tcpdump capture file from the preupgrade run

This is a tcpdump/wireshark capture file from the preupgrade-cli run.

This capture shows that preupgrade tries to get the url
http://mirrors.fedoraproject.org/releases.txt and fails with a error
from the remote server.

--- Additional comment from rzhou@redhat.com on 2009-06-28 04:50:17 EDT ---

My apologies, we recently rebuilt some servers and missed that file.  This should be fixed now, thanks for the report.

--- Additional comment from marceln@xs4all.nl on 2009-06-28 05:25:18 EDT ---

Confirm the solution.

--- Additional comment from gayleard@eircom.net on 2009-07-01 15:21:39 EDT ---

I still get this error.

I don't see a file
http://mirrors.fedoraproject.org/releases.txt 
And I don't find
http://fedoraproject.org/releases.txt
either.

Am I misunderstanding in some way?

--- Additional comment from geekboy@angrykeyboarder.com on 2010-02-18 20:45:03 EST ---

(In reply to comment #7)
> I still get this error.
> 
> I don't see a file
> http://mirrors.fedoraproject.org/releases.txt 
> And I don't find
> http://fedoraproject.org/releases.txt
> either.
> 
> Am I misunderstanding in some way?    

I don't know that you are. And as of this moment. http://fedoraproject.org/releases.txt still doesn't exist.

--- Additional comment from geekboy@angrykeyboarder.com on 2010-02-18 20:54:46 EST ---

(In reply to comment #5)
> My apologies, we recently rebuilt some servers and missed that file.  This
> should be fixed now, thanks for the report.    

It's not fixed and the quote from you above is from June 2009....
Comment 1 Scott 2010-02-18 21:00:13 EST
The bug still exists in Fedora 12.  I';m trying to upgrade to Rawhide.  I've had success with this in the past w/preupgrade.
Comment 2 Fedora Admin XMLRPC Client 2010-04-16 10:34:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-03 17:48:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 17:37:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.